My Oracle Support Banner

RMAN-06004: Oracle Error From Recovery Catalog Database: ORA-20153: Unable To Drop The VPD Protecti (Doc ID 2655613.1)

Last updated on MAY 19, 2020

Applies to:

Oracle Database - Enterprise Edition - Version 12.2.0.1 and later
Information in this document applies to any platform.

Symptoms

NOTE: In the images and/or the document content below, the user information and environment data used represents fictitious data from the
Oracle sample schema(s), Public Documentation delivered with an Oracle database product or other training material. Any similarity to actual
environments, actual persons, living or dead, is purely coincidental and not intended in any manner.


For the purposes of this document, the following fictitious environment is used as an example to describe the procedure:

RMAN catalog schema:  RMAN
PDB Service Name Containing RMAN Catalog:  PDB_18C

***********

After the DB upgrade RMAN throwing error ORA-20153: Unable to drop the VPD protection policies!

The in-house test case resulted in a different error than that reported by the customer.   The customer reported that although '?/rdbms/admin/dbmsrmanvpc.sql -vpd RMAN' was executed repeatedly, the error continued to occur suggesting it be executed.  In other words, above error would re-occur even though  the dbmsrmanvpc.sql was executed as instructed. 

Changes

Database was upgraded requiring RMAN catalog to also be upgraded.

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.